import { BaseApiService } from '@/services/api/base';
import {
  PhaseActivity,
  CreatePhaseActivityPayload,
  UpdatePhaseActivityPayload,
} from '@/types/api/daily-checklist/phase-activity';

export class PhaseActivityApiService extends BaseApiService<
  PhaseActivity,
  CreatePhaseActivityPayload,
  UpdatePhaseActivityPayload
> {
  constructor(basePath: string = '/master-data/phase-activities') {
    super(basePath);
  }
}

export const PhaseActivityApi = new PhaseActivityApiService(
  '/master-data/phase-activities'
);
